Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment
Class NoSuchSequenceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.man.bioinf.sequence.alignment.NoSuchSequenceException

All Implemented Interfaces:
  Serializable

public class NoSuchSequenceException
extends RuntimeException

NoSuchSequenceException.java Alerts to an invalid sequence index within a sequence alignment. Created: Fri Mar 3 12:22:15 2000

Version:
  $Id: NoSuchSequenceException.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Julian Selley
See Also:
  Serialized Form

Constructor Summary
`NoSuchSequenceException()`
`NoSuchSequenceException(SequenceAlignment msa, int index)`
`NoSuchSequenceException(String message)`
`NoSuchSequenceException(String message, SequenceAlignment msa, int index)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchSequenceException

    public NoSuchSequenceException()

### NoSuchSequenceException

    public NoSuchSequenceException(String message)

### NoSuchSequenceException

    public NoSuchSequenceException(SequenceAlignment msa,
                                   int index)

### NoSuchSequenceException

    public NoSuchSequenceException(String message,
                                   SequenceAlignment msa,
                                   int index)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD